Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.lf5.util
Class LogFileParser

    java.lang.Object
      org.apache.log4j.lf5.util.LogFileParser

All Implemented Interfaces:
  java.lang.Runnable

    public class LogFileParser

extends java.lang.Object
implements java.lang.Runnable

Provides utility methods for input and output streams.

Author:
  Brad Marlborough, Richard Hurst

Field Summary
`static java.lang.String` | `ATTRIBUTE_DELIMITER`
`static java.lang.String` | `CATEGORY_DELIMITER`
`static java.lang.String` | `DATE_DELIMITER`
`static java.lang.String` | `LOCATION_DELIMITER`
`static java.lang.String` | `MESSAGE_DELIMITER`
`static java.lang.String` | `NDC_DELIMITER`
`static java.lang.String` | `PRIORITY_DELIMITER`
`static java.lang.String` | `RECORD_DELIMITER`
`static java.lang.String` | `THREAD_DELIMITER`

Constructor Summary
`LogFileParser(java.io.File file)`
`LogFileParser(java.io.InputStream stream)`

Method Summary
`protected void` | `displayError(java.lang.String message)`
`void` | `parse(LogBrokerMonitor monitor)` Starts a new thread to parse the log file and create a LogRecord.
`void` | `run()` Parses the file and creates new log records and adds the record to the monitor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RECORD_DELIMITER

    public static final java.lang.String RECORD_DELIMITER

See Also:
  Constant Field Values

### ATTRIBUTE_DELIMITER

    public static final java.lang.String ATTRIBUTE_DELIMITER

See Also:
  Constant Field Values

### DATE_DELIMITER

    public static final java.lang.String DATE_DELIMITER

See Also:
  Constant Field Values

### THREAD_DELIMITER

    public static final java.lang.String THREAD_DELIMITER

See Also:
  Constant Field Values

### CATEGORY_DELIMITER

    public static final java.lang.String CATEGORY_DELIMITER

See Also:
  Constant Field Values

### LOCATION_DELIMITER

    public static final java.lang.String LOCATION_DELIMITER

See Also:
  Constant Field Values

### MESSAGE_DELIMITER

    public static final java.lang.String MESSAGE_DELIMITER

See Also:
  Constant Field Values

### PRIORITY_DELIMITER

    public static final java.lang.String PRIORITY_DELIMITER

See Also:
  Constant Field Values

### NDC_DELIMITER

    public static final java.lang.String NDC_DELIMITER

See Also:
  Constant Field Values

Constructor Detail

### LogFileParser

    public LogFileParser(java.io.File file)
                  throws java.io.IOException,
                         java.io.FileNotFoundException

Throws:
  `java.io.IOException`
  `java.io.FileNotFoundException`

### LogFileParser

    public LogFileParser(java.io.InputStream stream)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### parse

    public void parse(LogBrokerMonitor monitor)
               throws java.lang.RuntimeException

  Starts a new thread to parse the log file and create a LogRecord. See run().

  Parameters:
    `monitor` - LogBrokerMonitor
  Throws:
    `java.lang.RuntimeException`

### run

    public void run()

  Parses the file and creates new log records and adds the record to the monitor.

  Specified by:
    `run` in interface `java.lang.Runnable`

### displayError

    protected void displayError(java.lang.String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 Apache Software Foundation. All Rights Reserved.